using EvaPosSrvDTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace EvaPOS_API_FRAME.DTO
{
    /// <summary>
    /// DTO para leer los valores de cancelar una transaccción o cancelar artículo
    /// </summary>
    [XmlRoot(ElementName = "VoidTransactionRequest")]
    public class VoidTransactionDTO : DTOBase
    {
        public VoidTransactionDTO(int idSesion, TipoMensaje tipo) : base(idSesion, tipo)
        {
        }
        public VoidTransactionDTO()
        {
        }

        [XmlElement(ElementName = "ParameterExtension")]
        public object ParameterExtension { get; set; }

        [XmlElement(ElementName = "RequestID")]
        public int RequestID { get; set; }

        [XmlElement(ElementName = "OperatorID")]
        public double OperatorID { get; set; }

        [XmlElement(ElementName = "EnableCallback")]
        public bool EnableCallback { get; set; }

        [XmlElement(ElementName = "VoidTenders")]
        public bool VoidTenders { get; set; }
    }
}
